Bug 17055 - Add classes to different note types to allow for styling on checkins page
Summary: Add classes to different note types to allow for styling on checkins page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-05 13:56 UTC by Kyle M Hall
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17055 - Add classes to different note types to allow for styling on checkins page (2.12 KB, patch)
2016-08-05 13:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17055 - Add classes to different note types to allow for styling on checkins page (2.22 KB, patch)
2016-08-05 14:10 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 17055 - Add classes to different note types to allow for styling on checkins page (2.24 KB, patch)
2016-08-07 09:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-08-05 13:56:43 UTC
Returned items may have 3 kinds of notes, patron, item public, and item non-public. However, the html markup for them does not allow us to distinguish which type we are seeing. It would be good to add classes for each of these note types.
Comment 1 Kyle M Hall 2016-08-05 13:58:55 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-08-05 14:10:59 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-08-07 09:42:55 UTC
Created attachment 54108 [details] [review]
[PASSED QA] Bug 17055 - Add classes to different note types to allow for styling on checkins page

Returned items may have 3 kinds of notes, patron, item public, and item
non-public. However, the html markup for them does not allow us to
distinguish which type we are seeing. It would be good to add classes
for each of these note types.

Test Plan:
1) Check out an item to a patron
2) Add a patron note, a public item note, and a non-public item note
   to the patron and item you used
3) Check in the item and instead the html, note the each note span
   now has a class to distinguish which type of note is being displayed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-08-10 14:11:34 UTC
Pushed to master for 16.11!
Comment 5 Frédéric Demians 2016-08-23 10:10:59 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 6 Julian Maurice 2016-08-24 09:27:47 UTC
Pushed to 3.22.x, will be in 3.22.10